clear fem;
fem.geom = circ2;
fem.mesh = meshinit(fem);
fem.shape = 2;
fem.equ.c = 1;
fem.equ.f = 1;
fem.bnd.h = 1;
fem.xmesh = meshextend(fem);
[K,L,M,N] = assemble(fem);
n = size(N,1);
spy([K,N',L;N,sparse(n,n),M]);
fem.sol = femstatic('In',{'K' K 'L' L 'M' M 'N' N});
postsurf(fem,'u');
figure,spy(K);