% This file is provided as a courtesy to COMSOL users. The file is provided "as is" without
% warranty of any kind, expressed or implied.

[KC,LC,NULL,UD]=femlin(fem);
[m n]=size(KC);
subplot(2,2,1);
spy(KC);
title('Stiffness Matrix K');
subplot(2,2,2);
spy(abs(KC-KC')>1e-12);
title('Unsymmetric part of K');
subplot(2,2,3);
plot(abs(diag(full(KC))));
title('Diagonal of K');
subplot(2,2,4);
v=eig(full(KC));
[vr,ind]=sort(real(v));
vi=imag(v(ind));
plot(vr(2:end),'-.');
hold on;
plot(vi(2:end),':');
title('Re (-.) and Im (..) part of the eigenvalues of K');
hold off